<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body src="./script.js">
    <h1>Відповіді на теоретичні питання</h1>
    <p>1- У JavaScript ви можете оголосити змінну за допомогою ключового слова var, let або const, залежно від потрібної вам функціональності.</p>
    <p>2- A-Одинарні лапки ('')-let myString1 = 'Це рядок з одинарними лапками.';
          B-Подвійні лапки ("")-let myString2 = "Це рядок з подвійними лапками.";
          C-Зворотні лапки (``)-let myString3 = `Це рядок з шаблонними лапками.`; (У шаблонних рядках можна вставляти значення змінних, використовуючи синтаксис ${variable})
    </p>
    <p>3- A-Оператор (typeof)
          B-Функція (instanceof)
          C-Використання методу (Object.prototype.toString.call())
          D-Використання строгого порівняння (`===`) зі спеціальними значеннями
    </p>
    <p>4- Коли ви додаєте рядок (наприклад, '1') до числа (наприклад, 1) у JavaScript, він не виконує математичне додавання. Замість цього, JavaScript об'єднує їх як рядки. Тому '1' + 1 стає рядком '11', а не числом 2.</p>
</body>
</html>